# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%{!?__python2: %global __python2 %__python}
%{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %global python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

Name:           python3-pystache
Version:        0.5.4
Release:        1%{?dist}
Summary:        Pystache is a python implementation of mustache

License:        MIT
URL:            https://github.com/defunkt/pystache
Source0:        pystache-%{version}.tar.gz

BuildRequires:  python3-devel
Requires:       python3-simplejson

%global debug_package %{nil}

%description
Pystache is a Python implementation of Mustache. Mustache is a framework-agnostic, logic-free templating system inspired by ctemplate and et.

%prep
%autosetup -n pystache-%{version}

%build
%{__python3} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python3} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%files
# For noarch packages: sitelib
%{python3_sitelib}/*
%{_bindir}/*

%changelog
* Sun Jul 26 2020 Bruno Postle <bruno@postle.net>
- 
